#!/bin/bash
########################################################################
# anaconda expects some specific reponames, so we are going to make them
########################################################################
sed -e 's/\[sl\]/[scientific]/' /etc/anaconda.repos.d/sl7.repo > /etc/anaconda.repos.d/scientific.repo
sed -e 's/\[sl-security\]/[updates]/' /etc/anaconda.repos.d/sl7-security.repo > /etc/anaconda.repos.d/updates.repo
/bin/rm -f /etc/anaconda.repos.d/sl7*repo

########################################################################
# anaconda uses a custom yum root, so setup the relevant yumvars
########################################################################
mkdir -p /tmp/yum.root/etc/yum/vars
cp /etc/yum/vars/* /tmp/yum.root/etc/yum/vars/

