#!/bin/bash
########################################################################
# A simple script to set the SL7 yum vars to 7/7x
########################################################################
SELFCOPIES=${1:-0}
TRIGGERCOPIES=${2:-0}
########################################################################
if [[ ! -d /etc/yum/vars/ ]]; then
  /usr/bin/mkdir -p /etc/yum/vars/
  /usr/bin/chmod 755 /etc/yum/vars/
fi

echo 7x > /etc/yum/vars/slreleasever
/usr/bin/chmod 644 /etc/yum/vars/slreleasever
echo 7 > /etc/yum/vars/releasever
/usr/bin/chmod 644 /etc/yum/vars/releasever

# Make sure metadata looks like we expect, so we should expire
# any existing repomd.xml files but not necessarily the primary.sqlite
THISFILE=$(mktemp)
echo  '#!/bin/bash' > ${THISFILE}
echo  "yum clean expire-cache" >> ${THISFILE}
echo  "rm -rf /tmp/nohup.out" >> ${THISFILE}
echo  "rm -rf ${THISFILE}" >> ${THISFILE}
/usr/bin/chmod 755 ${THISFILE}
(cd /tmp
 nohup ${THISFILE} &
) >/dev/null 2>&1

